# Intel® Enhanced Privacy ID SDK: epid/common/math/printutils.h File Reference

printutils.h File Reference

Print helper interface. More...

`#include "epid/common/types.h"`
`#include "epid/common/math/bignum.h"`
`#include "epid/common/math/finitefield.h"`
`#include "epid/common/math/ecgroup.h"`

## Enumerations

enum | PrintUtilFormat { kPrintUtilUnannotated = 0, kPrintUtilAnnotated = 1 }
| Print format. More...

## Functions

void | PrintBigNum (BigNum const *big_num, char const *var_name)
| Prints BigNum. More...
void | PrintFfElement (FiniteField const *ff, FfElement const *ff_element, char const *var_name, PrintUtilFormat format)
| Prints finite field element. More...
void | PrintEcPoint (EcGroup const *g, EcPoint const *ec_point, char const *var_name, PrintUtilFormat format)
| Prints elliptic curve group element. More...
void | PrintBigNumStr (BigNumStr const *big_num_str, char const *var_name)
| Prints serialized BigNum. More...
void | PrintFpElemStr (FpElemStr const *fp_elem_str, char const *var_name)
| Prints serialized Fp element. More...
void | PrintFqElemStr (FqElemStr const *fq_elem_str, char const *var_name)
| Prints serialized Fq element. More...
void | PrintFq2ElemStr (Fq2ElemStr const *fq2_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq2 element. More...
void | PrintFq6ElemStr (Fq6ElemStr const *fq6_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq6 element. More...
void | PrintFq12ElemStr (Fq12ElemStr const *fq12_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq12 element. More...
void | PrintG1ElemStr (G1ElemStr const *g1_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized G1 element. More...
void | PrintG2ElemStr (G2ElemStr const *g2_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized G2 element. More...
void | PrintGtElemStr (GtElemStr const *gt_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Gt element. More...

## Detailed Description

Print helper interface.